test_that("calc.gsor.pvalue", {
  diff.genes <- readLines("test-data/test_diffSymbols")
  all.genes <- readLines("test-data/test_allSymbols")
  gs <- read.gmt("test-data/c2.cp.kegg.v5.0.symbols.gmt", all.genes)
  enrichment.p.values <- get.enrichment.pvalue(diff.genes, all.genes, gs)
  expect_equal(enrichment.p.values[["KEGG_GLIOMA"]], 6.632094e-02, tolerance = 1e-4)
  expect_equal(enrichment.p.values[["KEGG_CIRCADIAN_RHYTHM_MAMMAL"]], 2.902128e-10, tolerance = 1e-4)
  expect_equal(enrichment.p.values[["KEGG_DRUG_METABOLISM_CYTOCHROME_P450"]], 5.035109e-06, tolerance = 1e-4)
  expect_equal(enrichment.p.values[["KEGG_RETINOL_METABOLISM"]], 1.894102e-05, tolerance = 1e-4)
  expect_equal(enrichment.p.values[["KEGG_METABOLISM_OF_XENOBIOTICS_BY_CYTOCHROME_P450"]], 4.007538e-05, tolerance = 1e-4)
  expect_equal(enrichment.p.values[["KEGG_PPAR_SIGNALING_PATHWAY"]], 5.373543e-05, tolerance = 1e-4)
  expect_equal(enrichment.p.values[["KEGG_DRUG_METABOLISM_OTHER_ENZYMES"]], 1.345761e-04, tolerance = 1e-4)
  expect_equal(enrichment.p.values[["KEGG_DILATED_CARDIOMYOPATHY"]], 1.000000e+00, tolerance = 1e-4)
})
